11 operations. Guide: Automate email from events. Requests and responses are JSON with snake_case fields; authenticate with Authorization: Bearer <api key>. The examples assume a client built as in SDKs and the command line.

Create an automation (draft)

POST /v1/automations

Operation createAutomation, SDK minket.automations.create. Keys: full access. Live keys only: test keys get 403 test_mode_only.

Request body

FieldTypeRequiredDescription
namestringyes1 to 200 characters.
definitionobjectyes
definition.triggerobjectyes
definition.trigger (shape 1).kind"custom_event"yes
definition.trigger (shape 1).eventstringyes1 to 100 characters.
definition.trigger (shape 2).kind"contact_created"yes
definition.trigger (shape 3).kind"contact_updated"yes
definition.trigger (shape 3).propertiesarray of stringno
definition.trigger (shape 4).kind"topic_subscribed"yes
definition.trigger (shape 4).topic_idstringyesA UUID.
definition.trigger (shape 5).kind"segment_entered"yes
definition.trigger (shape 5).segment_idstringyesA UUID.
definition.trigger (shape 6).kind"email_event"yes
definition.trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
definition.trigger (shape 6).tagobjectno
definition.trigger (shape 6).tag.namestringyes
definition.trigger (shape 6).tag.valuestringyes
definition.filterobject or nullnoDefault null.
definition.filter (shape 1).allarray of objectyesAt most 50 items.
definition.filter (shape 1).all[].fieldstringyesAt most 120 characters.
definition.filter (shape 1).all[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 1).all[].valuestring or number or boolean or array of string or nullno
definition.filter (shape 2).anyarray of objectyesAt most 50 items.
definition.filter (shape 2).any[].fieldstringyesAt most 120 characters.
definition.filter (shape 2).any[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 2).any[].valuestring or number or boolean or array of string or nullno
definition.allow_reentrybooleannoDefault false.
definition.startstringyes1 to 50 characters.
definition.stepsarray of objectyesAt most 100 items.
definition.steps[] (shape 1).idstringyes1 to 50 characters.
definition.steps[] (shape 1).type"send_email"yes
definition.steps[] (shape 1).template_idstringyes1 to 100 characters.
definition.steps[] (shape 1).variablesmap of string or number or booleanno
definition.steps[] (shape 1).fromstringnoAt most 320 characters.
definition.steps[] (shape 1).subjectstringnoAt most 998 characters.
definition.steps[] (shape 1).reply_tostringnoAt most 320 characters.
definition.steps[] (shape 1).streamone of "transactional", "marketing"no
definition.steps[] (shape 1).topic_idstring or nullnoA UUID.
definition.steps[] (shape 1).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 2).idstringyes1 to 50 characters.
definition.steps[] (shape 2).type"wait"yes
definition.steps[] (shape 2).durationobjectyes
definition.steps[] (shape 2).duration.amountintegeryes
definition.steps[] (shape 2).duration.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 2).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).idstringyes1 to 50 characters.
definition.steps[] (shape 3).type"wait_for_event"yes
definition.steps[] (shape 3).eventone of "email.opened", "email.clicked", "custom_event"yes
definition.steps[] (shape 3).custom_eventstringno1 to 100 characters.
definition.steps[] (shape 3).timeoutobjectyes
definition.steps[] (shape 3).timeout.amountintegeryes
definition.steps[] (shape 3).timeout.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 3).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).timeout_nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).idstringyes1 to 50 characters.
definition.steps[] (shape 4).type"branch"yes
definition.steps[] (shape 4).conditionobjectno
definition.steps[] (shape 4).condition (shape 1).allarray of objectyesAt most 50 items.
definition.steps[] (shape 4).condition (shape 2).anyarray of objectyesAt most 50 items.
definition.steps[] (shape 4).engagementobjectno
definition.steps[] (shape 4).engagement.eventone of "email.opened", "email.clicked"yes
definition.steps[] (shape 4).engagement.step_idstring or nullno1 to 50 characters. Default null.
definition.steps[] (shape 4).yesstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).nostring or nullyes1 to 50 characters.
definition.steps[] (shape 5).idstringyes1 to 50 characters.
definition.steps[] (shape 5).type"update_contact"yes
definition.steps[] (shape 5).first_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).last_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).unsubscribedbooleanno
definition.steps[] (shape 5).propertiesmap of string or number or boolean or nullno
definition.steps[] (shape 5).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 6).idstringyes1 to 50 characters.
definition.steps[] (shape 6).type"segment"yes
definition.steps[] (shape 6).actionone of "add", "remove"yes
definition.steps[] (shape 6).segment_idstringyesA UUID.
definition.steps[] (shape 6).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 7).idstringyes1 to 50 characters.
definition.steps[] (shape 7).type"topic"yes
definition.steps[] (shape 7).actionone of "subscribe", "unsubscribe"yes
definition.steps[] (shape 7).topic_idstringyesA UUID.
definition.steps[] (shape 7).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 8).idstringyes1 to 50 characters.
definition.steps[] (shape 8).type"delete_contact"yes
definition.steps[] (shape 9).idstringyes1 to 50 characters.
definition.steps[] (shape 9).type"exit"yes

Response

201 Created: Automation.

FieldTypeRequiredDescription
idstringyesA UUID.
object"automation"yes
project_idstringyesA UUID.
namestringyes
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes
published_versioninteger or nullyes
triggerobjectyes
trigger (shape 1).kind"custom_event"yes
trigger (shape 1).eventstringyes1 to 100 characters.
trigger (shape 2).kind"contact_created"yes
trigger (shape 3).kind"contact_updated"yes
trigger (shape 3).propertiesarray of stringno
trigger (shape 4).kind"topic_subscribed"yes
trigger (shape 4).topic_idstringyesA UUID.
trigger (shape 5).kind"segment_entered"yes
trigger (shape 5).segment_idstringyesA UUID.
trigger (shape 6).kind"email_event"yes
trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
trigger (shape 6).tagobjectno
trigger (shape 6).tag.namestringyes
trigger (shape 6).tag.valuestringyes
definitionobjectyes
definition.triggerobjectyes
definition.trigger (shape 1).kind"custom_event"yes
definition.trigger (shape 1).eventstringyes1 to 100 characters.
definition.trigger (shape 2).kind"contact_created"yes
definition.trigger (shape 3).kind"contact_updated"yes
definition.trigger (shape 3).propertiesarray of stringno
definition.trigger (shape 4).kind"topic_subscribed"yes
definition.trigger (shape 4).topic_idstringyesA UUID.
definition.trigger (shape 5).kind"segment_entered"yes
definition.trigger (shape 5).segment_idstringyesA UUID.
definition.trigger (shape 6).kind"email_event"yes
definition.trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
definition.trigger (shape 6).tagobjectno
definition.trigger (shape 6).tag.namestringyes
definition.trigger (shape 6).tag.valuestringyes
definition.filterobject or nullnoDefault null.
definition.filter (shape 1).allarray of objectyesAt most 50 items.
definition.filter (shape 1).all[].fieldstringyesAt most 120 characters.
definition.filter (shape 1).all[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 1).all[].valuestring or number or boolean or array of string or nullno
definition.filter (shape 2).anyarray of objectyesAt most 50 items.
definition.filter (shape 2).any[].fieldstringyesAt most 120 characters.
definition.filter (shape 2).any[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 2).any[].valuestring or number or boolean or array of string or nullno
definition.allow_reentrybooleannoDefault false.
definition.startstringyes1 to 50 characters.
definition.stepsarray of objectyesAt most 100 items.
definition.steps[] (shape 1).idstringyes1 to 50 characters.
definition.steps[] (shape 1).type"send_email"yes
definition.steps[] (shape 1).template_idstringyes1 to 100 characters.
definition.steps[] (shape 1).variablesmap of string or number or booleanno
definition.steps[] (shape 1).fromstringnoAt most 320 characters.
definition.steps[] (shape 1).subjectstringnoAt most 998 characters.
definition.steps[] (shape 1).reply_tostringnoAt most 320 characters.
definition.steps[] (shape 1).streamone of "transactional", "marketing"no
definition.steps[] (shape 1).topic_idstring or nullnoA UUID.
definition.steps[] (shape 1).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 2).idstringyes1 to 50 characters.
definition.steps[] (shape 2).type"wait"yes
definition.steps[] (shape 2).durationobjectyes
definition.steps[] (shape 2).duration.amountintegeryes
definition.steps[] (shape 2).duration.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 2).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).idstringyes1 to 50 characters.
definition.steps[] (shape 3).type"wait_for_event"yes
definition.steps[] (shape 3).eventone of "email.opened", "email.clicked", "custom_event"yes
definition.steps[] (shape 3).custom_eventstringno1 to 100 characters.
definition.steps[] (shape 3).timeoutobjectyes
definition.steps[] (shape 3).timeout.amountintegeryes
definition.steps[] (shape 3).timeout.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 3).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).timeout_nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).idstringyes1 to 50 characters.
definition.steps[] (shape 4).type"branch"yes
definition.steps[] (shape 4).conditionobjectno
definition.steps[] (shape 4).condition (shape 1).allarray of objectyesAt most 50 items.
definition.steps[] (shape 4).condition (shape 2).anyarray of objectyesAt most 50 items.
definition.steps[] (shape 4).engagementobjectno
definition.steps[] (shape 4).engagement.eventone of "email.opened", "email.clicked"yes
definition.steps[] (shape 4).engagement.step_idstring or nullno1 to 50 characters. Default null.
definition.steps[] (shape 4).yesstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).nostring or nullyes1 to 50 characters.
definition.steps[] (shape 5).idstringyes1 to 50 characters.
definition.steps[] (shape 5).type"update_contact"yes
definition.steps[] (shape 5).first_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).last_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).unsubscribedbooleanno
definition.steps[] (shape 5).propertiesmap of string or number or boolean or nullno
definition.steps[] (shape 5).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 6).idstringyes1 to 50 characters.
definition.steps[] (shape 6).type"segment"yes
definition.steps[] (shape 6).actionone of "add", "remove"yes
definition.steps[] (shape 6).segment_idstringyesA UUID.
definition.steps[] (shape 6).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 7).idstringyes1 to 50 characters.
definition.steps[] (shape 7).type"topic"yes
definition.steps[] (shape 7).actionone of "subscribe", "unsubscribe"yes
definition.steps[] (shape 7).topic_idstringyesA UUID.
definition.steps[] (shape 7).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 8).idstringyes1 to 50 characters.
definition.steps[] (shape 8).type"delete_contact"yes
definition.steps[] (shape 9).idstringyes1 to 50 characters.
definition.steps[] (shape 9).type"exit"yes
statsobjectyes
stats.runs_totalintegeryes
stats.runs_activeintegeryes
stats.runs_completedintegeryes
stats.runs_failedintegeryes
created_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
updated_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl -X POST https://api.minket.com/v1/automations \
  -H "Authorization: Bearer $MINKET_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Welcome","definition":{"trigger":{"kind":"contact_created"},"start":"wait","steps":[{"id":"wait","type":"wait","duration":{"amount":1,"unit":"days"},"next":"welcome"},{"id":"welcome","type":"send_email","template_id":"019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b","next":null}]}}'

List automations

GET /v1/automations

Operation listAutomations, SDK minket.automations.list. Keys: full access. Test keys work on test-mode data.

Parameters

NameInTypeRequiredDescription
limitqueryintegerno Default 20.
afterquerystringnoA UUID.
beforequerystringnoA UUID.

Response

200 Success: object.

FieldTypeRequiredDescription
object"list"yes
dataarray of objectyes
data[].idstringyesA UUID.
data[].object"automation"yes
data[].project_idstringyesA UUID.
data[].namestringyes
data[].statusone of "draft", "active", "paused", "archived"yes
data[].current_versionintegeryes
data[].published_versioninteger or nullyes
data[].triggerobjectyes
data[].trigger (shape 1).kind"custom_event"yes
data[].trigger (shape 1).eventstringyes1 to 100 characters.
data[].trigger (shape 2).kind"contact_created"yes
data[].trigger (shape 3).kind"contact_updated"yes
data[].trigger (shape 3).propertiesarray of stringno
data[].trigger (shape 4).kind"topic_subscribed"yes
data[].trigger (shape 4).topic_idstringyesA UUID.
data[].trigger (shape 5).kind"segment_entered"yes
data[].trigger (shape 5).segment_idstringyesA UUID.
data[].trigger (shape 6).kind"email_event"yes
data[].trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
data[].trigger (shape 6).tagobjectno
data[].trigger (shape 6).tag.namestringyes
data[].trigger (shape 6).tag.valuestringyes
data[].statsobjectyes
data[].stats.runs_totalintegeryes
data[].stats.runs_activeintegeryes
data[].stats.runs_completedintegeryes
data[].stats.runs_failedintegeryes
data[].created_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
data[].updated_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
has_morebooleanyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl https://api.minket.com/v1/automations \
  -H "Authorization: Bearer $MINKET_API_KEY"

Get an automation with its current definition

GET /v1/automations/{id}

Operation getAutomation, SDK minket.automations.get. Keys: full access. Test keys work on test-mode data.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Response

200 Success: Automation.

FieldTypeRequiredDescription
idstringyesA UUID.
object"automation"yes
project_idstringyesA UUID.
namestringyes
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes
published_versioninteger or nullyes
triggerobjectyes
trigger (shape 1).kind"custom_event"yes
trigger (shape 1).eventstringyes1 to 100 characters.
trigger (shape 2).kind"contact_created"yes
trigger (shape 3).kind"contact_updated"yes
trigger (shape 3).propertiesarray of stringno
trigger (shape 4).kind"topic_subscribed"yes
trigger (shape 4).topic_idstringyesA UUID.
trigger (shape 5).kind"segment_entered"yes
trigger (shape 5).segment_idstringyesA UUID.
trigger (shape 6).kind"email_event"yes
trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
trigger (shape 6).tagobjectno
trigger (shape 6).tag.namestringyes
trigger (shape 6).tag.valuestringyes
definitionobjectyes
definition.triggerobjectyes
definition.trigger (shape 1).kind"custom_event"yes
definition.trigger (shape 1).eventstringyes1 to 100 characters.
definition.trigger (shape 2).kind"contact_created"yes
definition.trigger (shape 3).kind"contact_updated"yes
definition.trigger (shape 3).propertiesarray of stringno
definition.trigger (shape 4).kind"topic_subscribed"yes
definition.trigger (shape 4).topic_idstringyesA UUID.
definition.trigger (shape 5).kind"segment_entered"yes
definition.trigger (shape 5).segment_idstringyesA UUID.
definition.trigger (shape 6).kind"email_event"yes
definition.trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
definition.trigger (shape 6).tagobjectno
definition.trigger (shape 6).tag.namestringyes
definition.trigger (shape 6).tag.valuestringyes
definition.filterobject or nullnoDefault null.
definition.filter (shape 1).allarray of objectyesAt most 50 items.
definition.filter (shape 1).all[].fieldstringyesAt most 120 characters.
definition.filter (shape 1).all[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 1).all[].valuestring or number or boolean or array of string or nullno
definition.filter (shape 2).anyarray of objectyesAt most 50 items.
definition.filter (shape 2).any[].fieldstringyesAt most 120 characters.
definition.filter (shape 2).any[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 2).any[].valuestring or number or boolean or array of string or nullno
definition.allow_reentrybooleannoDefault false.
definition.startstringyes1 to 50 characters.
definition.stepsarray of objectyesAt most 100 items.
definition.steps[] (shape 1).idstringyes1 to 50 characters.
definition.steps[] (shape 1).type"send_email"yes
definition.steps[] (shape 1).template_idstringyes1 to 100 characters.
definition.steps[] (shape 1).variablesmap of string or number or booleanno
definition.steps[] (shape 1).fromstringnoAt most 320 characters.
definition.steps[] (shape 1).subjectstringnoAt most 998 characters.
definition.steps[] (shape 1).reply_tostringnoAt most 320 characters.
definition.steps[] (shape 1).streamone of "transactional", "marketing"no
definition.steps[] (shape 1).topic_idstring or nullnoA UUID.
definition.steps[] (shape 1).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 2).idstringyes1 to 50 characters.
definition.steps[] (shape 2).type"wait"yes
definition.steps[] (shape 2).durationobjectyes
definition.steps[] (shape 2).duration.amountintegeryes
definition.steps[] (shape 2).duration.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 2).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).idstringyes1 to 50 characters.
definition.steps[] (shape 3).type"wait_for_event"yes
definition.steps[] (shape 3).eventone of "email.opened", "email.clicked", "custom_event"yes
definition.steps[] (shape 3).custom_eventstringno1 to 100 characters.
definition.steps[] (shape 3).timeoutobjectyes
definition.steps[] (shape 3).timeout.amountintegeryes
definition.steps[] (shape 3).timeout.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 3).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).timeout_nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).idstringyes1 to 50 characters.
definition.steps[] (shape 4).type"branch"yes
definition.steps[] (shape 4).conditionobjectno
definition.steps[] (shape 4).condition (shape 1).allarray of objectyesAt most 50 items.
definition.steps[] (shape 4).condition (shape 2).anyarray of objectyesAt most 50 items.
definition.steps[] (shape 4).engagementobjectno
definition.steps[] (shape 4).engagement.eventone of "email.opened", "email.clicked"yes
definition.steps[] (shape 4).engagement.step_idstring or nullno1 to 50 characters. Default null.
definition.steps[] (shape 4).yesstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).nostring or nullyes1 to 50 characters.
definition.steps[] (shape 5).idstringyes1 to 50 characters.
definition.steps[] (shape 5).type"update_contact"yes
definition.steps[] (shape 5).first_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).last_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).unsubscribedbooleanno
definition.steps[] (shape 5).propertiesmap of string or number or boolean or nullno
definition.steps[] (shape 5).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 6).idstringyes1 to 50 characters.
definition.steps[] (shape 6).type"segment"yes
definition.steps[] (shape 6).actionone of "add", "remove"yes
definition.steps[] (shape 6).segment_idstringyesA UUID.
definition.steps[] (shape 6).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 7).idstringyes1 to 50 characters.
definition.steps[] (shape 7).type"topic"yes
definition.steps[] (shape 7).actionone of "subscribe", "unsubscribe"yes
definition.steps[] (shape 7).topic_idstringyesA UUID.
definition.steps[] (shape 7).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 8).idstringyes1 to 50 characters.
definition.steps[] (shape 8).type"delete_contact"yes
definition.steps[] (shape 9).idstringyes1 to 50 characters.
definition.steps[] (shape 9).type"exit"yes
statsobjectyes
stats.runs_totalintegeryes
stats.runs_activeintegeryes
stats.runs_completedintegeryes
stats.runs_failedintegeryes
created_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
updated_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b \
  -H "Authorization: Bearer $MINKET_API_KEY"

Update an automation

PATCH /v1/automations/{id}

Operation updateAutomation, SDK minket.automations.update. Keys: full access. Live keys only: test keys get 403 test_mode_only.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Request body

FieldTypeRequiredDescription
namestringno1 to 200 characters.
definitionobjectno
definition.triggerobjectyes
definition.trigger (shape 1).kind"custom_event"yes
definition.trigger (shape 1).eventstringyes1 to 100 characters.
definition.trigger (shape 2).kind"contact_created"yes
definition.trigger (shape 3).kind"contact_updated"yes
definition.trigger (shape 3).propertiesarray of stringno
definition.trigger (shape 4).kind"topic_subscribed"yes
definition.trigger (shape 4).topic_idstringyesA UUID.
definition.trigger (shape 5).kind"segment_entered"yes
definition.trigger (shape 5).segment_idstringyesA UUID.
definition.trigger (shape 6).kind"email_event"yes
definition.trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
definition.trigger (shape 6).tagobjectno
definition.trigger (shape 6).tag.namestringyes
definition.trigger (shape 6).tag.valuestringyes
definition.filterobject or nullnoDefault null.
definition.filter (shape 1).allarray of objectyesAt most 50 items.
definition.filter (shape 1).all[].fieldstringyesAt most 120 characters.
definition.filter (shape 1).all[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 1).all[].valuestring or number or boolean or array of string or nullno
definition.filter (shape 2).anyarray of objectyesAt most 50 items.
definition.filter (shape 2).any[].fieldstringyesAt most 120 characters.
definition.filter (shape 2).any[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 2).any[].valuestring or number or boolean or array of string or nullno
definition.allow_reentrybooleannoDefault false.
definition.startstringyes1 to 50 characters.
definition.stepsarray of objectyesAt most 100 items.
definition.steps[] (shape 1).idstringyes1 to 50 characters.
definition.steps[] (shape 1).type"send_email"yes
definition.steps[] (shape 1).template_idstringyes1 to 100 characters.
definition.steps[] (shape 1).variablesmap of string or number or booleanno
definition.steps[] (shape 1).fromstringnoAt most 320 characters.
definition.steps[] (shape 1).subjectstringnoAt most 998 characters.
definition.steps[] (shape 1).reply_tostringnoAt most 320 characters.
definition.steps[] (shape 1).streamone of "transactional", "marketing"no
definition.steps[] (shape 1).topic_idstring or nullnoA UUID.
definition.steps[] (shape 1).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 2).idstringyes1 to 50 characters.
definition.steps[] (shape 2).type"wait"yes
definition.steps[] (shape 2).durationobjectyes
definition.steps[] (shape 2).duration.amountintegeryes
definition.steps[] (shape 2).duration.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 2).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).idstringyes1 to 50 characters.
definition.steps[] (shape 3).type"wait_for_event"yes
definition.steps[] (shape 3).eventone of "email.opened", "email.clicked", "custom_event"yes
definition.steps[] (shape 3).custom_eventstringno1 to 100 characters.
definition.steps[] (shape 3).timeoutobjectyes
definition.steps[] (shape 3).timeout.amountintegeryes
definition.steps[] (shape 3).timeout.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 3).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).timeout_nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).idstringyes1 to 50 characters.
definition.steps[] (shape 4).type"branch"yes
definition.steps[] (shape 4).conditionobjectno
definition.steps[] (shape 4).condition (shape 1).allarray of objectyesAt most 50 items.
definition.steps[] (shape 4).condition (shape 2).anyarray of objectyesAt most 50 items.
definition.steps[] (shape 4).engagementobjectno
definition.steps[] (shape 4).engagement.eventone of "email.opened", "email.clicked"yes
definition.steps[] (shape 4).engagement.step_idstring or nullno1 to 50 characters. Default null.
definition.steps[] (shape 4).yesstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).nostring or nullyes1 to 50 characters.
definition.steps[] (shape 5).idstringyes1 to 50 characters.
definition.steps[] (shape 5).type"update_contact"yes
definition.steps[] (shape 5).first_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).last_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).unsubscribedbooleanno
definition.steps[] (shape 5).propertiesmap of string or number or boolean or nullno
definition.steps[] (shape 5).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 6).idstringyes1 to 50 characters.
definition.steps[] (shape 6).type"segment"yes
definition.steps[] (shape 6).actionone of "add", "remove"yes
definition.steps[] (shape 6).segment_idstringyesA UUID.
definition.steps[] (shape 6).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 7).idstringyes1 to 50 characters.
definition.steps[] (shape 7).type"topic"yes
definition.steps[] (shape 7).actionone of "subscribe", "unsubscribe"yes
definition.steps[] (shape 7).topic_idstringyesA UUID.
definition.steps[] (shape 7).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 8).idstringyes1 to 50 characters.
definition.steps[] (shape 8).type"delete_contact"yes
definition.steps[] (shape 9).idstringyes1 to 50 characters.
definition.steps[] (shape 9).type"exit"yes
statusone of "active", "paused", "archived"no

Response

200 Success: object.

FieldTypeRequiredDescription
object"automation"yes
idstringyesA UUID.
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl -X PATCH https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b \
  -H "Authorization: Bearer $MINKET_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"status":"paused"}'

Archive an automation

DELETE /v1/automations/{id}

Operation deleteAutomation, SDK minket.automations.delete. Keys: full access. Live keys only: test keys get 403 test_mode_only.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Response

200 Success: object.

FieldTypeRequiredDescription
object"automation"yes
idstringyesA UUID.
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl -X DELETE https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b \
  -H "Authorization: Bearer $MINKET_API_KEY"

Publish the current version

POST /v1/automations/{id}/publish

New runs start on this version; in-flight runs finish on theirs.

Operation publishAutomation, SDK minket.automations.publish. Keys: full access. Live keys only: test keys get 403 test_mode_only.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Response

200 Success: object.

FieldTypeRequiredDescription
object"automation"yes
idstringyesA UUID.
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl -X POST https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b/publish \
  -H "Authorization: Bearer $MINKET_API_KEY"

Pause an automation and stop its waiting runs

POST /v1/automations/{id}/stop

Operation stopAutomation, SDK minket.automations.stop. Keys: full access. Live keys only: test keys get 403 test_mode_only.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Response

200 Success: object.

FieldTypeRequiredDescription
object"automation"yes
idstringyesA UUID.
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl -X POST https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b/stop \
  -H "Authorization: Bearer $MINKET_API_KEY"

Duplicate an automation

POST /v1/automations/{id}/duplicate

A new draft named <name> (copy) with the current version's definition (the newest draft, if it is newer than the published version). It starts no runs until it is published.

Operation duplicateAutomation, SDK minket.automations.duplicate. Keys: full access. Live keys only: test keys get 403 test_mode_only.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Response

201 Created: Automation.

FieldTypeRequiredDescription
idstringyesA UUID.
object"automation"yes
project_idstringyesA UUID.
namestringyes
statusone of "draft", "active", "paused", "archived"yes
current_versionintegeryes
published_versioninteger or nullyes
triggerobjectyes
trigger (shape 1).kind"custom_event"yes
trigger (shape 1).eventstringyes1 to 100 characters.
trigger (shape 2).kind"contact_created"yes
trigger (shape 3).kind"contact_updated"yes
trigger (shape 3).propertiesarray of stringno
trigger (shape 4).kind"topic_subscribed"yes
trigger (shape 4).topic_idstringyesA UUID.
trigger (shape 5).kind"segment_entered"yes
trigger (shape 5).segment_idstringyesA UUID.
trigger (shape 6).kind"email_event"yes
trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
trigger (shape 6).tagobjectno
trigger (shape 6).tag.namestringyes
trigger (shape 6).tag.valuestringyes
definitionobjectyes
definition.triggerobjectyes
definition.trigger (shape 1).kind"custom_event"yes
definition.trigger (shape 1).eventstringyes1 to 100 characters.
definition.trigger (shape 2).kind"contact_created"yes
definition.trigger (shape 3).kind"contact_updated"yes
definition.trigger (shape 3).propertiesarray of stringno
definition.trigger (shape 4).kind"topic_subscribed"yes
definition.trigger (shape 4).topic_idstringyesA UUID.
definition.trigger (shape 5).kind"segment_entered"yes
definition.trigger (shape 5).segment_idstringyesA UUID.
definition.trigger (shape 6).kind"email_event"yes
definition.trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
definition.trigger (shape 6).tagobjectno
definition.trigger (shape 6).tag.namestringyes
definition.trigger (shape 6).tag.valuestringyes
definition.filterobject or nullnoDefault null.
definition.filter (shape 1).allarray of objectyesAt most 50 items.
definition.filter (shape 1).all[].fieldstringyesAt most 120 characters.
definition.filter (shape 1).all[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 1).all[].valuestring or number or boolean or array of string or nullno
definition.filter (shape 2).anyarray of objectyesAt most 50 items.
definition.filter (shape 2).any[].fieldstringyesAt most 120 characters.
definition.filter (shape 2).any[].opone of "eq", "neq", "contains", "not_contains", "starts_with", "ends_with", "gt", "gte", "lt", "lte", "is_set", "is_not_set", …yes
definition.filter (shape 2).any[].valuestring or number or boolean or array of string or nullno
definition.allow_reentrybooleannoDefault false.
definition.startstringyes1 to 50 characters.
definition.stepsarray of objectyesAt most 100 items.
definition.steps[] (shape 1).idstringyes1 to 50 characters.
definition.steps[] (shape 1).type"send_email"yes
definition.steps[] (shape 1).template_idstringyes1 to 100 characters.
definition.steps[] (shape 1).variablesmap of string or number or booleanno
definition.steps[] (shape 1).fromstringnoAt most 320 characters.
definition.steps[] (shape 1).subjectstringnoAt most 998 characters.
definition.steps[] (shape 1).reply_tostringnoAt most 320 characters.
definition.steps[] (shape 1).streamone of "transactional", "marketing"no
definition.steps[] (shape 1).topic_idstring or nullnoA UUID.
definition.steps[] (shape 1).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 2).idstringyes1 to 50 characters.
definition.steps[] (shape 2).type"wait"yes
definition.steps[] (shape 2).durationobjectyes
definition.steps[] (shape 2).duration.amountintegeryes
definition.steps[] (shape 2).duration.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 2).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).idstringyes1 to 50 characters.
definition.steps[] (shape 3).type"wait_for_event"yes
definition.steps[] (shape 3).eventone of "email.opened", "email.clicked", "custom_event"yes
definition.steps[] (shape 3).custom_eventstringno1 to 100 characters.
definition.steps[] (shape 3).timeoutobjectyes
definition.steps[] (shape 3).timeout.amountintegeryes
definition.steps[] (shape 3).timeout.unitone of "minutes", "hours", "days"yes
definition.steps[] (shape 3).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 3).timeout_nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).idstringyes1 to 50 characters.
definition.steps[] (shape 4).type"branch"yes
definition.steps[] (shape 4).conditionobjectno
definition.steps[] (shape 4).condition (shape 1).allarray of objectyesAt most 50 items.
definition.steps[] (shape 4).condition (shape 2).anyarray of objectyesAt most 50 items.
definition.steps[] (shape 4).engagementobjectno
definition.steps[] (shape 4).engagement.eventone of "email.opened", "email.clicked"yes
definition.steps[] (shape 4).engagement.step_idstring or nullno1 to 50 characters. Default null.
definition.steps[] (shape 4).yesstring or nullyes1 to 50 characters.
definition.steps[] (shape 4).nostring or nullyes1 to 50 characters.
definition.steps[] (shape 5).idstringyes1 to 50 characters.
definition.steps[] (shape 5).type"update_contact"yes
definition.steps[] (shape 5).first_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).last_namestring or nullnoAt most 200 characters.
definition.steps[] (shape 5).unsubscribedbooleanno
definition.steps[] (shape 5).propertiesmap of string or number or boolean or nullno
definition.steps[] (shape 5).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 6).idstringyes1 to 50 characters.
definition.steps[] (shape 6).type"segment"yes
definition.steps[] (shape 6).actionone of "add", "remove"yes
definition.steps[] (shape 6).segment_idstringyesA UUID.
definition.steps[] (shape 6).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 7).idstringyes1 to 50 characters.
definition.steps[] (shape 7).type"topic"yes
definition.steps[] (shape 7).actionone of "subscribe", "unsubscribe"yes
definition.steps[] (shape 7).topic_idstringyesA UUID.
definition.steps[] (shape 7).nextstring or nullyes1 to 50 characters.
definition.steps[] (shape 8).idstringyes1 to 50 characters.
definition.steps[] (shape 8).type"delete_contact"yes
definition.steps[] (shape 9).idstringyes1 to 50 characters.
definition.steps[] (shape 9).type"exit"yes
statsobjectyes
stats.runs_totalintegeryes
stats.runs_activeintegeryes
stats.runs_completedintegeryes
stats.runs_failedintegeryes
created_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
updated_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl -X POST https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b/duplicate \
  -H "Authorization: Bearer $MINKET_API_KEY"

List versions

GET /v1/automations/{id}/versions

Operation listAutomationVersions, SDK minket.automations.versions. Keys: full access. Test keys work on test-mode data.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.

Response

200 Success: object.

FieldTypeRequiredDescription
object"list"yes
dataarray of objectyes
data[].versionintegeryes
data[].definitionobjectyes
data[].definition.triggerobjectyes
data[].definition.trigger (shape 1).kind"custom_event"yes
data[].definition.trigger (shape 1).eventstringyes1 to 100 characters.
data[].definition.trigger (shape 2).kind"contact_created"yes
data[].definition.trigger (shape 3).kind"contact_updated"yes
data[].definition.trigger (shape 3).propertiesarray of stringno
data[].definition.trigger (shape 4).kind"topic_subscribed"yes
data[].definition.trigger (shape 4).topic_idstringyesA UUID.
data[].definition.trigger (shape 5).kind"segment_entered"yes
data[].definition.trigger (shape 5).segment_idstringyesA UUID.
data[].definition.trigger (shape 6).kind"email_event"yes
data[].definition.trigger (shape 6).typeone of "email.sent", "email.scheduled", "email.delivered", "email.delivery_delayed", "email.complained", "email.bounced", "email.opened", "email.clicked", "email.received", "email.failed", "email.suppressed", "email.canceled", …yes
data[].definition.trigger (shape 6).tagobjectno
data[].definition.filterobject or nullnoDefault null.
data[].definition.filter (shape 1).allarray of objectyesAt most 50 items.
data[].definition.filter (shape 2).anyarray of objectyesAt most 50 items.
data[].definition.allow_reentrybooleannoDefault false.
data[].definition.startstringyes1 to 50 characters.
data[].definition.stepsarray of objectyesAt most 100 items.
data[].definition.steps[] (shape 1).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 1).type"send_email"yes
data[].definition.steps[] (shape 1).template_idstringyes1 to 100 characters.
data[].definition.steps[] (shape 1).variablesmap of string or number or booleanno
data[].definition.steps[] (shape 1).fromstringnoAt most 320 characters.
data[].definition.steps[] (shape 1).subjectstringnoAt most 998 characters.
data[].definition.steps[] (shape 1).reply_tostringnoAt most 320 characters.
data[].definition.steps[] (shape 1).streamone of "transactional", "marketing"no
data[].definition.steps[] (shape 1).topic_idstring or nullnoA UUID.
data[].definition.steps[] (shape 1).nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 2).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 2).type"wait"yes
data[].definition.steps[] (shape 2).durationobjectyes
data[].definition.steps[] (shape 2).nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 3).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 3).type"wait_for_event"yes
data[].definition.steps[] (shape 3).eventone of "email.opened", "email.clicked", "custom_event"yes
data[].definition.steps[] (shape 3).custom_eventstringno1 to 100 characters.
data[].definition.steps[] (shape 3).timeoutobjectyes
data[].definition.steps[] (shape 3).nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 3).timeout_nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 4).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 4).type"branch"yes
data[].definition.steps[] (shape 4).conditionobjectno
data[].definition.steps[] (shape 4).engagementobjectno
data[].definition.steps[] (shape 4).yesstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 4).nostring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 5).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 5).type"update_contact"yes
data[].definition.steps[] (shape 5).first_namestring or nullnoAt most 200 characters.
data[].definition.steps[] (shape 5).last_namestring or nullnoAt most 200 characters.
data[].definition.steps[] (shape 5).unsubscribedbooleanno
data[].definition.steps[] (shape 5).propertiesmap of string or number or boolean or nullno
data[].definition.steps[] (shape 5).nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 6).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 6).type"segment"yes
data[].definition.steps[] (shape 6).actionone of "add", "remove"yes
data[].definition.steps[] (shape 6).segment_idstringyesA UUID.
data[].definition.steps[] (shape 6).nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 7).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 7).type"topic"yes
data[].definition.steps[] (shape 7).actionone of "subscribe", "unsubscribe"yes
data[].definition.steps[] (shape 7).topic_idstringyesA UUID.
data[].definition.steps[] (shape 7).nextstring or nullyes1 to 50 characters.
data[].definition.steps[] (shape 8).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 8).type"delete_contact"yes
data[].definition.steps[] (shape 9).idstringyes1 to 50 characters.
data[].definition.steps[] (shape 9).type"exit"yes
data[].published_atstring (date-time) or nullyesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
data[].created_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
has_morebooleanyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b/versions \
  -H "Authorization: Bearer $MINKET_API_KEY"

List runs

GET /v1/automations/{id}/runs

Operation listAutomationRuns, SDK minket.automations.runs. Keys: full access. Test keys work on test-mode data.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.
limitqueryintegerno Default 20.
afterquerystringnoA UUID.
beforequerystringnoA UUID.
statusqueryone of "running", "waiting", "completed", "exited", "failed", "stopped"no
contact_idquerystringnoA UUID.

Response

200 Success: object.

FieldTypeRequiredDescription
object"list"yes
dataarray of objectyes
data[].idstringyesA UUID.
data[].object"run"yes
data[].automation_idstringyesA UUID.
data[].versionintegeryes
data[].contact_idstring or nullyesA UUID.
data[].trigger_event_idstring or nullyesA UUID.
data[].modeone of "live", "test"yes
data[].statusone of "running", "waiting", "completed", "exited", "failed", "stopped"yes
data[].current_step_idstring or nullyes
data[].wait_untilstring (date-time) or nullyesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
data[].errorstring or nullyes
data[].started_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
data[].finished_atstring (date-time) or nullyesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
has_morebooleanyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b/runs \
  -H "Authorization: Bearer $MINKET_API_KEY"

Get a run with its step history

GET /v1/automations/{id}/runs/{runId}

Operation getAutomationRun, SDK minket.automations.run. Keys: full access. Test keys work on test-mode data.

Parameters

NameInTypeRequiredDescription
idpathstringyesA UUID.
runIdpathstringyesA UUID.

Response

200 Success: AutomationRun.

FieldTypeRequiredDescription
idstringyesA UUID.
object"run"yes
automation_idstringyesA UUID.
versionintegeryes
contact_idstring or nullyesA UUID.
trigger_event_idstring or nullyesA UUID.
modeone of "live", "test"yes
statusone of "running", "waiting", "completed", "exited", "failed", "stopped"yes
current_step_idstring or nullyes
wait_untilstring (date-time) or nullyesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
errorstring or nullyes
stepsarray of objectyes
steps[].step_idstringyes
steps[].typestringyes
steps[].statusone of "running", "waiting", "completed", "skipped", "failed"yes
steps[].started_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
steps[].finished_atstring (date-time) or nullyesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
steps[].outputmap of any or nullyes
steps[].errorstring or nullyes
started_atstring (date-time)yesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.
finished_atstring (date-time) or nullyesAn ISO 8601 timestamp with timezone, for example 2026-10-24T18:00:00.000Z.

Errors: 400, 401, 403, 404, 409, 422, 429, 500, with the error body.

Examples

curl
curl https://api.minket.com/v1/automations/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b/runs/019a2b3c-4d5e-7f60-8a9b-0c1d2e3f4a5b \
  -H "Authorization: Bearer $MINKET_API_KEY"

Updated